### File

`packages/components/eui-block-document/eui-block-document.component.ts`

### Description

EuiBlockDocumentComponent creates a document overlay that can be toggled into a blocked state. When blocked, a loading indicator is displayed. Uses OnPush change detection strategy for better performance.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-block-document`
styleUrls | `./eui-block-document.scss`
templateUrl | `./eui-block-document.component.html`

### Index

###### Properties
role
###### Inputs
ariaLabel isBlocked
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

ariaLabel
Type : `string`
Default value : `'eUI Block Document'`
ARIA label for the document component.

isBlocked
Type : `boolean`
Default value : `false`
Controls whether the document is in blocked state. When true, displays the loading indicator.

### HostBindings

attr.role
Type : `string`
Default value : `'region'`
ARIA role for the document component.

class
Type : `string`
Applies CSS classes to the host element. Always includes 'eui-block-document' and conditionally adds 'eui-block-document--blocked' when isBlocked is true.

### Properties

role
Type : `string`
Default value : `'region'`
Decorators : `@HostBinding('attr.role')`
ARIA role for the document component.

### Accessors

cssClasses
get `cssClasses()`
Applies CSS classes to the host element. Always includes 'eui-block-document' and conditionally adds 'eui-block-document--blocked' when isBlocked is true. Returns : `string`

# results matching ""

# No results matching ""